classification
Title: Backport UserList move in 3.0
Type: behavior Stage:
Components: Library (Lib) Versions: Python 2.6
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: brett.cannon Nosy List: brett.cannon, quentin.gallet-gilles, rhettinger
Priority: release blocker Keywords: patch

Created on 2008-05-16 04:51 by brett.cannon, last changed 2008-05-29 19:14 by brett.cannon. This issue is now closed.

Files
File name Uploaded Description Edit
userlist_import_fixer.patch quentin.gallet-gilles, 2008-05-27 17:39
Messages (5)
msg66902 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-05-16 04:51
The UserList class was moved from the UserList module to the collections 
module. That move along with the stdlib update needs to be backported to 
2.6.
msg67359 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-05-26 00:25
Raymond, can you tell me exactly where each module-level thing in UserList 
went and if it was renamed or not? That way the fixer can get written.
msg67362 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2008-05-26 03:56
It was moved to the collections module.
msg67417 - (view) Author: Quentin Gallet-Gilles (quentin.gallet-gilles) Date: 2008-05-27 17:39
Attaching a patch for the import fixer of UserList.
msg67509 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-05-29 19:14
Committed in r63790.
History
Date User Action Args
2008-05-29 19:14:18brett.cannonunlinkissue2775 dependencies
2008-05-29 19:14:10brett.cannonsetstatus: open -> closed
resolution: accepted
messages: + msg67509
2008-05-27 17:39:04quentin.gallet-gillessetfiles: + userlist_import_fixer.patch
nosy: + quentin.gallet-gilles
messages: + msg67417
keywords: + patch
2008-05-26 03:56:12rhettingersetassignee: rhettinger -> brett.cannon
messages: + msg67362
2008-05-26 00:25:07brett.cannonsetassignee: rhettinger
messages: + msg67359
nosy: + rhettinger
2008-05-22 02:51:24brett.cannonlinkissue2775 dependencies
2008-05-16 04:51:09brett.cannoncreate